> For the complete documentation index, see [llms.txt](https://docs.talus.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_workflow/execution_entries.md).

# execution\_entries

* [Constants](#constants)
* [Function `new_task_execution_with_gas_charge`](#function-new_task_execution_with_gas_charge)
* [Function `start_and_share`](#function-start_and_share)
* [Function `start_execution`](#function-start_execution)

### Constants

```move
#[error]
const EInvokerMismatch: vector<u8> = b"Agent execution config invoker must match transaction sender";
```

```move
#[error]
const ENetworkMismatch: vector<u8> = b"Provided network ID does not match expected network ID";
```

```move
#[error]
const EDAGMismatch: vector<u8> = b"Provided DAG ID does not match expected DAG ID";
```

```move
#[error]
const EAgentMismatch: vector<u8> = b"Provided Agent object does not match agent execution config";
```

```move
#[error]
const EVertexNotFound: vector<u8> = b"Input vertex does not exist";
```

```move
#[error]
const EScheduledAuthorizationGrantMismatch: vector<u8> = b"Scheduled TAP authorization grant target mismatch";
```

```move
#[error]
const EDuplicateVertexAuthorizationGrant: vector<u8> = b"Scheduled authorization contains duplicate grants for one vertex";
```

#### Function `new_task_execution_with_gas_charge`

Creates a \[`DAGExecution`] and consumes its leader submission gas charge.

```move
public fun new_task_execution_with_gas_charge<R>(_permit: &nexus_kernel::runtime_authority::RuntimePermit<R>, self: &nexus_interface::dag::DAG, registry: &nexus_registry::agent_registry::AgentRegistry, authorization: &nexus_interface::authorization::AgentSkillAuthorization, payment_reserve: &mut nexus_interface::payment::TaskPaymentReserve, spec: &nexus_interface::agent::ExecutionSpec, task_uid: &mut sui::object::UID, tool_registry: &nexus_tool::tool_registry::ToolRegistry, leader_registry: &nexus_registry::leader::LeaderRegistry, leader_cap: &nexus_primitives::owner_cap::CloneableOwnerCap<nexus_registry::leader_cap::OverNetwork>, occurrence_id: u64, priority_fee_percentage: u64, gas_charge: u64, clock: &sui::clock::Clock, ctx: &mut sui::tx_context::TxContext): nexus_workflow::execution::DAGExecution
```

#### Function `start_and_share`

Starts and shares an execution after leader gas configuration.

```move
public fun start_and_share<R>(_permit: &nexus_kernel::runtime_authority::RuntimePermit<R>, self: &nexus_interface::dag::DAG, execution: nexus_workflow::execution::DAGExecution, leader_registry: &nexus_registry::leader::LeaderRegistry, clock: &sui::clock::Clock, ctx: &mut sui::tx_context::TxContext)
```

#### Function `start_execution`

Emits request events to off-chain leaders.

```move
public fun start_execution<R>(_permit: &nexus_kernel::runtime_authority::RuntimePermit<R>, self: &nexus_interface::dag::DAG, execution: &mut nexus_workflow::execution::DAGExecution, leader_registry: &nexus_registry::leader::LeaderRegistry, clock: &sui::clock::Clock, ctx: &mut sui::tx_context::TxContext)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_workflow/execution_entries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
